classification
Title: test_distutils: BuildRpmTestCase tests fail on RHEL buildbots
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords: patch

Created on 2018-01-24 16:35 by vstinner, last changed 2018-04-25 13:27 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 5303 merged vstinner, 2018-01-24 17:25
Messages (3)
msg310614 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-01-24 16:35
It may be a regression introduced by commit 8ded5b803705328749622256701b3f08a9d6c5ab, bpo-32030: "Add _PyCoreConfig.module_search_paths", since it's the only change of the failing build 577.

s390x RHEL 3.x5:

http://buildbot.python.org/all/#/builders/21/builds/577

======================================================================
ERROR: test_no_optimize_flag (distutils.tests.test_bdist_rpm.BuildRpmTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/tests/test_bdist_rpm.py", line 120, in test_no_optimize_flag
    cmd.run()
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/command/bdist_rpm.py", line 366, in run
    self.spawn(rpm_cmd)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/cmd.py", line 365, in spawn
    spawn(cmd, search_path, dry_run=self.dry_run)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/spawn.py", line 36, in spawn
    _spawn_posix(cmd, search_path, dry_run=dry_run)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/spawn.py", line 159, in _spawn_posix
    % (cmd, exit_status))
distutils.errors.DistutilsExecError: command 'rpmbuild' failed with exit status 1

======================================================================
ERROR: test_quiet (distutils.tests.test_bdist_rpm.BuildRpmTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/tests/test_bdist_rpm.py", line 77, in test_quiet
    cmd.run()
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/command/bdist_rpm.py", line 366, in run
    self.spawn(rpm_cmd)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/cmd.py", line 365, in spawn
    spawn(cmd, search_path, dry_run=self.dry_run)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/spawn.py", line 36, in spawn
    _spawn_posix(cmd, search_path, dry_run=dry_run)
  File "/home/dje/cpython-buildarea/3.x.edelsohn-rhel-z/build/Lib/distutils/spawn.py", line 159, in _spawn_posix
    % (cmd, exit_status))
distutils.errors.DistutilsExecError: command 'rpmbuild' failed with exit status 1
msg310663 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-01-25 08:18
New changeset 2b822a0bb1de2612c85d8f75e3ce89eda2ac9f68 by Victor Stinner in branch 'master':
bpo-32652: Defer pymain_set_global_config() call (#5303)
https://github.com/python/cpython/commit/2b822a0bb1de2612c85d8f75e3ce89eda2ac9f68
msg315729 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-04-25 13:27
test_distutils pass on s390x RHEL 3.x buildbot. I close the issue.
History
Date User Action Args
2018-04-25 13:27:18vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg315729

stage: patch review -> resolved
2018-01-25 08:18:39vstinnersetmessages: + msg310663
2018-01-24 17:25:01vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request5150
2018-01-24 16:35:34vstinnercreate